=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libboost-dev,
-               libkf5akonadi-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarutils-dev (>= 4:19.12.3~),
+               libkf5calendarutils-dev (>= 4:20.08.1~),
                libkf5holidays-dev (>= 1:5.31.0~),
-               libkf5identitymanagement-dev (>= 19.12.3~),
+               libkf5identitymanagement-dev (>= 20.08.1~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                pkg-kde-tools (>> 0.15.15),
 Standards-Version: 3.9.6
@@ -32,11 +32,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:19.12.3~),
+Depends: libkf5akonadi-dev (>= 4:20.08.1~),
          libkf5alarmcalendar5abi2 (= ${binary:Version}),
          libkf5calendarcore-dev (>= 4:19.08.3~),
          libkf5holidays-dev (>= 1:5.31.0~),
-         libkf5identitymanagement-dev (>= 19.12.3~),
+         libkf5identitymanagement-dev (>= 20.08.1~),
          libkf5kdelibs4support-dev (>= 5.31.0~),
          ${misc:Depends},
 Description: library for handling kalarm calendar data - development files
