=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,12 @@
     eventattribute.cpp
 )
 
-ecm_qt_declare_logging_category(kalarmcal_LIB_SRCS HEADER kalarmcal_debug.h IDENTIFIER KALARMCAL_LOG CATEGORY_NAME org.kde.pim.kalarmcal)
+ecm_qt_declare_logging_category(kalarmcal_LIB_SRCS HEADER kalarmcal_debug.h IDENTIFIER KALARMCAL_LOG CATEGORY_NAME org.kde.pim.kalarmcal
+        DESCRIPTION "kalarmcal (kalarmcal)"
+        OLD_CATEGORY_NAMES log_kalarmcal
+        EXPORT KALARMCAL
+    )
+
 
 add_library(KF5AlarmCalendar ${kalarmcal_LIB_SRCS})
 
@@ -57,12 +62,14 @@
   CollectionAttribute
   CompatibilityAttribute
   DateTime
+  EventAttribute
+  Identities
+  KACalendar
   KADateTime
-  EventAttribute
-  KACalendar
   KAEvent
   KARecurrence
   Repetition
+  Version
   PREFIX KAlarmCal
   REQUIRED_HEADERS KAlarmCal_HEADERS
 )
@@ -70,9 +77,6 @@
 
 install(FILES
         ${CMAKE_CURRENT_BINARY_DIR}/kalarmcal_export.h
-        identities.h
-        kacalendar.h
-        version.h
         ${KAlarmCal_HEADERS}
         DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KAlarmCal/kalarmcal
         COMPONENT Devel
@@ -86,5 +90,3 @@
 
 ecm_generate_pri_file(BASE_NAME KAlarmCal LIB_NAME KF5AlarmCalendar DEPS "Holidays IdentityManagement CoreAddons CalendarCore AkonadiCore" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KAlarmCal/)
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
-
-
