=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,9 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"libkalarmcal5\")
 ########### next target ###############
-set(kalarmcal_LIB_SRCS
+add_library(KF5AlarmCalendar)
+add_library(KF5::AlarmCalendar ALIAS KF5AlarmCalendar)
+
+target_sources(KF5AlarmCalendar PRIVATE
     kacalendar.cpp
     karecurrence.cpp
     akonadi.cpp
@@ -14,20 +17,33 @@
     collectionattribute.cpp
     compatibilityattribute.cpp
     eventattribute.cpp
+    kacalendar.h
+    karecurrence.h
+    akonadi.h
+    alarmtext.h
+    identities.h
+    kaevent.h
+    kadatetime.h
+    datetime.h
+    repetition.h
+    version.h
+    collectionattribute.h
+    compatibilityattribute.h
+    eventattribute.h
 )
 
-ecm_qt_declare_logging_category(kalarmcal_LIB_SRCS HEADER kalarmcal_debug.h IDENTIFIER KALARMCAL_LOG CATEGORY_NAME org.kde.pim.kalarmcal
+ecm_qt_declare_logging_category(KF5AlarmCalendar HEADER kalarmcal_debug.h IDENTIFIER KALARMCAL_LOG CATEGORY_NAME org.kde.pim.kalarmcal
         DESCRIPTION "kalarmcal (kalarmcal)"
         OLD_CATEGORY_NAMES log_kalarmcal
         EXPORT KALARMCAL
     )
-
-
-add_library(KF5AlarmCalendar ${kalarmcal_LIB_SRCS})
+if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
+    set_target_properties(KF5AlarmCalendar PROPERTIES UNITY_BUILD ON)
+endif()
 
 generate_export_header(KF5AlarmCalendar BASE_NAME kalarmcal)
 
-add_library(KF5::AlarmCalendar ALIAS KF5AlarmCalendar)
+
 
 target_link_libraries(KF5AlarmCalendar
 PUBLIC
@@ -42,7 +58,7 @@
 )
 
 set_target_properties(KF5AlarmCalendar PROPERTIES
-      VERSION ${KALARMCAL_VERSION_STRING}
+      VERSION ${KALARMCAL_VERSION}
       SOVERSION ${KALARMCAL_SOVERSION}
       EXPORT_NAME AlarmCalendar
 )
@@ -88,5 +104,30 @@
 )
 
 
-ecm_generate_pri_file(BASE_NAME KAlarmCal LIB_NAME KF5AlarmCalendar DEPS "Holidays IdentityManagement CoreAddons CalendarCore AkonadiCore" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KAlarmCal/)
+ecm_generate_pri_file(BASE_NAME KAlarmCal LIB_NAME KF5AlarmCalendar DEPS "KHolidays KIdentityManagement KCoreAddons KCalendarCore AkonadiCore" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KAlarmCal/)
+
+if (BUILD_QCH)
+    ecm_add_qch(
+        KF5AlarmCalendar_QCH
+        NAME KF5AlarmCalendar
+        BASE_NAME KF5AlarmCalendar
+        VERSION ${PIM_VERSION}
+        ORG_DOMAIN org.kde
+        SOURCES # using only public headers, to cover only public API
+            ${KAlarmCal_HEADERS}
+        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
+        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
+        LINK_QCHS
+            Qt5Core_QCH
+            Qt5Gui_QCH
+            Qt5Widgets_QCH
+        INCLUDE_DIRS
+            ${CMAKE_CURRENT_BINARY_DIR}
+        BLANK_MACROS
+            KALARMCAL_EXPORT
+        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
+        COMPONENT Devel
+    )
+endif()
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
