=== debian/control ===
Source: kalarmcal
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libboost-dev,
               libkf5akonadi-dev (>= 4:15.12~),
               libkf5calendarcore-dev (>= 4:15.12~),
               libkf5calendarutils-dev,
               libkf5holidays-dev (>= 15.12~),
               libkf5holidays-dev (>= 16.04),
               libkf5identitymanagement-dev (>= 15.12~),
               libkf5kdelibs4support-dev (>= 5.19.0~),
               pkg-kde-tools (>> 0.15.15)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/pim/kalarmcal
Vcs-Git: https://invent.kde.org/neon/kde/kalarmcal.git
Vcs-Browser: https://invent.kde.org/neon/kde/kalarmcal
Maintainer: Neon CI <neon@kde.org>

Package: libkf5alarmcalendar-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadi-dev (>= 4:15.12~),
         libkf5alarmcalendar5 (= ${binary:Version}),
         libkf5calendarcore-dev (>= 4:15.12~),
         libkf5holidays-dev (>= 15.12~),
         libkf5identitymanagement-dev (>= 15.12~),
         libkf5kdelibs4support-dev (>= 5.19.0~),
         ${misc:Depends}
Description: library for handling kalarm calendar data - development files
 This library provides access to and handling of kalarm calendar data.
 .
 This package contains the development files.

Package: libkf5alarmcalendar5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-runtime (<< 4:18.04), ${kde-l10n:all}
Replaces: kdepim-runtime (<< 4:18.04), ${kde-l10n:all}
Description: library for handling kalarm calendar data
 This library provides access to and handling of kalarm calendar data.
