=== debian/tests/control ===
#  Tests: testsuite
#  Depends: @, @builddeps@, build-essential,
#          dbus-x11
#  Restrictions: build-needed
